Package org.apache.sysds.lops

## Enum SortKeys.OperationTypes

- java.lang.Object
- - java.lang.Enum<SortKeys.OperationTypes>
  - - org.apache.sysds.lops.SortKeys.OperationTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<SortKeys.OperationTypes>`

Enclosing class:
  SortKeys

    public static enum SortKeys.OperationTypes
    extends Enum<SortKeys.OperationTypes>

### Enum Constant Summary

Enum Constants
`Indexes`
`WithoutWeights`
`WithWeights`

### Method Summary

All Methods Static Methods Concrete Methods
`static SortKeys.OperationTypes` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SortKeys.OperationTypes[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WithWeights

    public static final SortKeys.OperationTypes WithWeights

#### WithoutWeights

    public static final SortKeys.OperationTypes WithoutWeights

#### Indexes

    public static final SortKeys.OperationTypes Indexes

### Method Detail

#### values

    public static SortKeys.OperationTypes[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SortKeys.OperationTypes c : SortKeys.OperationTypes.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SortKeys.OperationTypes valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null